Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
assets
Create asset(s)
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/assets \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'assets={
  "name": "<string>",
  "content": "<string>"
}' \
  --form 'files=<string>' \
  --form 'tags=<string>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "content_url": "<string>",
  "content_type": "image",
  "content": "<string>",
  "created_by_email": "<string>",
  "thumbnail_url": "<string>",
  "is_archived": true,
  "is_deleted": true,
  "tags": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Body

multipart/form-data

Base for all the serializers in the assets app

assets
object[]

This field is used only for plain text assets, for other asset types please use the files attribute

Required array length: 1 - 10 elements
files
string<uri>

Assets files to be evaluated: video, image or text from a document.

tags
string[]

Optional list of tags for the asset

Maximum string length: 255

Response

201 - application/json
id
string<uuid>
required
read-only
name
string
required
Maximum string length: 255
content_url
string
required
Maximum string length: 255
content_type
enum<string>
required
  • image - image
  • text - text
  • video - video
Available options:
image,
text,
video
content
string
required
created_by_email
string | null
thumbnail_url
string
Maximum string length: 255
is_archived
boolean
is_deleted
boolean
tags
string[]
Maximum string length: 255
created_at
string<date-time> | null
created_by
string<uuid> | null